Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.griffon.runtime.logging
[Groovy] Class RootLog4jConfig

    java.lang.Object
      org.codehaus.griffon.runtime.logging.RootLog4jConfig

    class RootLog4jConfig
    extends Object

Property Summary
`Log4jConfig` | `config`
`org.apache.log4j.Logger` | `root`

Constructor Summary
`RootLog4jConfig(def root, def config)`

Method Summary
`def` | `all(Object[] appenders = null)`
`def` | `debug(Object[] appenders = null)`
`def` | `error(Object[] appenders = null)`
`def` | `fatal(Object[] appenders = null)`
`def` | `info(Object[] appenders = null)`
`def` | `off(Object[] appenders = null)`
`private def` | `setLevelAndAppender(org.apache.log4j.Level level, Object[] appenders)`
`void` | `setProperty(String s, Object o)`
`def` | `trace(Object[] appenders = null)`
`def` | `warn(Object[] appenders = null)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### config

    Log4jConfig config

### root

    org.apache.log4j.Logger root

Constructor Detail

### RootLog4jConfig

    RootLog4jConfig(def root, def config)

Method Detail

### all

    def all(Object[] appenders = null)

### debug

    def debug(Object[] appenders = null)

### error

    def error(Object[] appenders = null)

### fatal

    def fatal(Object[] appenders = null)

### info

    def info(Object[] appenders = null)

### off

    def off(Object[] appenders = null)

### setLevelAndAppender

    private def setLevelAndAppender(org.apache.log4j.Level level, Object[] appenders)

### setProperty

    void setProperty(String s, Object o)

### trace

    def trace(Object[] appenders = null)

### warn

    def warn(Object[] appenders = null)

Groovy Documentation